Subject: [bug#50170] [PATCH core-updates-frozen] gnu: mesa: Update to 21.2.1.

From: John Kehayias <[email-masked]>
Date: Mon, 23 Aug 2021 05:58:43 +0000

Hi everyone,

I know we're working on getting core-updates-frozen in shape to merge, but with a few more Mesa updates out recently I thought maybe I can sneak this in as an addendum to the current Mesa patches. I checked it builds on x86-64 and modified the patch which removes the troublesome (i686) test to still apply here. No other changes to the build process I could see. 21.2.0 was out earlier but was a development release; this is the first regular release for 21.2.

If I may, I would suggest seeing if this builds on the CI for other architectures without major changes, and if so would recommend this update. Mesa has been moving quickly with bug fixes and enhancing their graphics drivers, so with the extended time between core-update merges would be great to be up to date for this current merge.

And if not, this can be the start of the next core-updates Mesa update (maybe Mesa can be moved to a quicker updating process?). There is also a further bug fix release for 21.1, so we could bump to 21.1.7 from our current 21.1.6 in core-updates-frozen.

Let me know what you think and anything else we need on this front.

John